Product comparison · 2 ip phones

Yealink SIP T42U vs Yealink W57R IP phone Black 2 lines TFT

Add a product
  • 29specifications compared
  • 10differ
  • 19identical
  • 63known for one product only

Key differences

The Yealink SIP T42U has 900 entries more phonebook capacity than the Yealink W57R IP phone Black 2 lines TFT (1000 entries vs 100 entries). Only the Yealink W57R IP phone Black 2 lines TFT has integrated voicemail. Only the Yealink SIP T42U has Ethernet LAN. Product colour: Grey on the Yealink SIP T42U, Black on the Yealink W57R IP phone Black 2 lines TFT. Mounting: Desk/Wall on the Yealink SIP T42U, Desk on the Yealink W57R IP phone Black 2 lines TFT.

  • Product colour
    • SIP T42U:Grey
    • W57R IP phone Black 2 lines TFT:Black
  • Mounting
    • SIP T42U:Desk/Wall
    • W57R IP phone Black 2 lines TFT:Desk
  • Phonebook capacity
    • SIP T42U:1000 entries
    • W57R IP phone Black 2 lines TFT:100 entries
  • Integrated voicemail
    • SIP T42U:No
    • W57R IP phone Black 2 lines TFT:Yes
  • Display
    • SIP T42U:LCD
    • W57R IP phone Black 2 lines TFT:TFT
  • Display diagonal
    • SIP T42U:6.86 cm (2.7")
    • W57R IP phone Black 2 lines TFT:4.57 cm (1.8")
  • Display resolution
    • SIP T42U:192 x 68 pixels
    • W57R IP phone Black 2 lines TFT:128 x 160 pixels
  • Ethernet LAN
    • SIP T42U:Yes
    • W57R IP phone Black 2 lines TFT:No

Side by side

Differences highlightedShow differences only (off)
Comparison of SIP T42U, W57R
92 specifications
Design2 differ
Product typeIP PhoneIP Phone
Handset typeWireless handsetWireless handset
Product colourDiffersGreyBlack
Backlight keypadKnown for oneUnknown — not stated by the sourceYes
Device lockYesYes
MountingDiffersDesk/WallDesk
Protection featuresKnown for oneUnknown — not stated by the sourceDrop proof, Dust resistant, Scratch resistant, Shock resistant, Spill resistant, Splash proof
Wall mountableKnown for oneYesUnknown — not stated by the source
Performanceidentical
DECT connectableKnown for oneUnknown — not stated by the sourceYes
Maximum indoor rangeKnown for oneUnknown — not stated by the source50 m
Maximum outdoor rangeKnown for oneUnknown — not stated by the source300 m
Phone features1 differ
Lines quantityKnown for oneUnknown — not stated by the source2 lines
Answering machineKnown for oneUnknown — not stated by the sourceYes
Anonymous callYesYes
Anonymous call rejectionYesYes
Call forwardingYesYes
Call historyYesYes
Call holdYesYes
Call waitingYesYes
Caller IDYesYes
Conference callYesYes
Direct callYesYes
Do not disturb functionYesYes
Emergency callKnown for oneUnknown — not stated by the sourceYes
Full duplexYesYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Phonebook capacityDiffers1000 entries100 entries
RedialingYesYes
Speed diallingYesYes
Vibrating alertKnown for oneUnknown — not stated by the sourceYes
Call parkKnown for oneYesUnknown — not stated by the source
Call pick upKnown for oneYesUnknown — not stated by the source
Call transferKnown for oneYesUnknown — not stated by the source
Distinctive ringKnown for oneYesUnknown — not stated by the source
Number of VoIP accountsKnown for one12Unknown — not stated by the source
Management features1 differ
Integrated voicemailDiffersNoYes
Keypad number of keysKnown for oneUnknown — not stated by the source25
Number of function keysKnown for one5Unknown — not stated by the source
Number of programmable keysKnown for one6Unknown — not stated by the source
Display3 differ
DisplayDiffersLCDTFT
Display diagonalDiffers6.86 cm (2.7")4.57 cm (1.8")
Display resolutionDiffers192 x 68 pixels128 x 160 pixels
TouchscreenKnown for oneUnknown — not stated by the sourceNo
Graphical user interface (GUI) languageKnown for oneUnknown — not stated by the sourceMulti
Audioidentical
SpeakerphoneKnown for oneUnknown — not stated by the sourceYes
Microphone muteKnown for oneUnknown — not stated by the sourceYes
Frequency rangeKnown for oneUnknown — not stated by the source100 - 7000 Hz
Noise reductionKnown for oneUnknown — not stated by the sourceYes
Number of melodiesKnown for oneUnknown — not stated by the source9
Network3 differ
Ethernet LANDiffersYesNo
Wi-FiDiffersYesNo
BluetoothDiffersYesNo
Ethernet LAN interface typeKnown for oneGigabit EthernetUnknown — not stated by the source
Networking standardsKnown for oneIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3afUnknown — not stated by the source
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
Security algorithmsKnown for one256-bit AES, HTTPS, TLS, WPA2, WPA3Unknown — not stated by the source
Supported network protocolsKnown for oneIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)Unknown — not stated by the source
Ports & interfacesidentical
Headset connectivityKnown for oneUnknown — not stated by the source3.5 mm
USB 2.0 ports quantityKnown for one2Unknown — not stated by the source
Ethernet LAN (RJ-45) portsKnown for one2Unknown — not stated by the source
RJ-9 ports quantityKnown for one2Unknown — not stated by the source
Poweridentical
Power over Ethernet (PoE)Known for oneUnknown — not stated by the sourceNo
AC adapter input voltageKnown for oneUnknown — not stated by the source100 - 240 V
Input frequencyKnown for oneUnknown — not stated by the source50/60 Hz
Input currentKnown for oneUnknown — not stated by the source0.2 A
AC adapter output voltageKnown for oneUnknown — not stated by the source5 V
AC adapter output currentKnown for oneUnknown — not stated by the source0.6 A
Standby timeKnown for oneUnknown — not stated by the source575 h
Talk timeKnown for oneUnknown — not stated by the source40 h
Power consumption (typical)Known for one2.2 WUnknown — not stated by the source
Enduranceidentical
International Protection (IP) codeKnown for oneUnknown — not stated by the sourceIP54
Batteryidentical
Battery technologyKnown for oneUnknown — not stated by the sourceLithium-Ion (Li-Ion)
Battery capacityKnown for oneUnknown — not stated by the source1460 mAh
Battery voltageKnown for oneUnknown — not stated by the source3.7 V
Operational conditionsidentical
Operating relative humidity (H-H)10 - 95%10 - 95%
Operating temperature (T-T)-10 - 50 °C-10 - 50 °C
Storage temperature (T-T)Known for oneUnknown — not stated by the source-30 - 70 °C
Weight & dimensionsidentical
Handset dimensions (WxDxH)Known for oneUnknown — not stated by the source51 x 24 x 157 mm
Handset weightKnown for oneUnknown — not stated by the source183 g
WidthKnown for one212 mmUnknown — not stated by the source
DepthKnown for one189 mmUnknown — not stated by the source
HeightKnown for one175 mmUnknown — not stated by the source
Package widthKnown for one627 mmUnknown — not stated by the source
Package depthKnown for one256 mmUnknown — not stated by the source
Package heightKnown for one235 mmUnknown — not stated by the source
Package weightKnown for one63 kgUnknown — not stated by the source
Packaging contentidentical
Base stationKnown for oneUnknown — not stated by the sourceYes
ChargerKnown for oneUnknown — not stated by the sourceYes
HandsetKnown for oneUnknown — not stated by the sourceYes
Number of handles included1 pc(s)1 pc(s)
AC adapter includedKnown for oneNoUnknown — not stated by the source
Cameraidentical
Rear cameraKnown for oneYesUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons